<chapter fileref='tkxmllint.xml'>
  <title>tkxmllint</title>
  <subtitle>GUI Application for xmllint</subtitle>

  <chapterinfo>
    <revhistory>
      <revision>
	<revnumber>1.7</revnumber>
	<date>2004-12-21</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.7 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.6</revnumber>
	<date>2004-09-02</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.6 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.5</revnumber>
	<date>2004-07-20</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.5 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.4</revnumber>
	<date>20040621</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.4 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.3</revnumber>
	<date>20031015</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.2 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.2</revnumber>
	<date>20030924</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.1 Mac OS X announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.1</revnumber>
	<date>20030923</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>V1.1b1 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.0</revnumber>
	<date>20030221</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Initial version</para>
	</revremark>
      </revision>
    </revhistory>
  </chapterinfo>

  <para><application>xmllint</application> is a command-line tool for parsing XML documents.  It is part of the <ulink url='http://xmlsoft.org/'>Gnome libxml2 package</ulink>.  <application>tkxmllint</application> is a GUI version of that tool.</para>

  <mediaobject>
    <imageobject>
      <imagedata fileref='tkxmllint/screenshot.png'/>
    </imageobject>
  </mediaobject>

  <section>
    <title>Download and Installation</title>

     <orderedlist>
      <listitem>
	<itemizedlist>
	  <listitem>
	    <para>Version 1.7: <ulink url='http://prdownloads.sourceforge.net/tclxml/tkxmllint-1.7.dmg.gz?download'>Mac OS X</ulink> <ulink url='http://prdownloads.sourceforge.net/tclxml/tkxmllint-1.7.zip?download'>MS Windows</ulink> (Linux: Coming soon!).</para>
	  </listitem>
	</itemizedlist>
      </listitem>
      <listitem>
	<para>Unpack the distribution.</para>
	<itemizedlist>
	  <listitem>
	    <para>Windows users: use WinZip and extract the zip file.</para>
	  </listitem>
	  <listitem>
	    <para>Mac users: StuffIt Expander will decompress the disk image and mount it on your desktop.</para>
	  </listitem>
	</itemizedlist>
      </listitem>
      <listitem>
	<para>Use the program.</para>
	<itemizedlist>
	  <listitem>
	    <para>Windows users: The distribution unpacks into a new directory called <filename>tkxmllint-1.7</filename>.  Double-click the <application>tkxmllint.exe</application> program inside that directory.</para>
	    <para>NB. If you want to move the application to a new location, you <emphasis>must</emphasis> move the entire directory - not just the executable file.</para>
	  </listitem>
	  <listitem>
	    <para>Mac users: Copy the <application>tkxmllint</application> application to your <filename>Applications</filename> folder.</para>
	  </listitem>
	</itemizedlist>
      </listitem>
    </orderedlist>
  </section>

  <section>
    <title>Usage</title>

    <orderedlist>
      <listitem>
	<para>Use the "browse" button to locate an XML document.  A future release will allow a HTTP URL to be entered.</para>
      </listitem>
      <listitem>
	<para>Set the controls, such as validation and display.  Future releases will support more of the standard <application>xmllint</application> options.</para>
      </listitem>
      <listitem>
	<para>Press the "Check" button to read the document.</para>
      </listitem>
    </orderedlist>
  </section>

  <section>
    <title>Known Problems</title>

    <para>tkxmllint v1.6 solves the problem with DTD validation!</para>

  </section>

<!--
  <section>
    <title>Documentation</title>

    <para>User Guide coming soon.</para>
  </section>
-->
</chapter>
